Loading...
Searching...
No Matches
SimplestTestSuite Class Reference

`#include <simple_test.h>`

## Public Member Functions

void | testMyTest ()
void | testSIZEOFLONG ()
Public Member Functions inherited from CxxTest::TestSuite
virtual | ~TestSuite ()
virtual void | setUp ()
virtual void | tearDown ()

## Detailed Description

Definition at line 3 of file simple_test.h.

## Member Function Documentation

## testMyTest()

void SimplestTestSuite::testMyTest | ( |  | ) |

inline

Definition at line 6 of file simple_test.h.

{
float fnum = 2.00001f;
TS_ASSERT_DELTA (fnum, 2.0f, 0.0001f);
}
TS_ASSERT_DELTA
#define TS_ASSERT_DELTA(x, y, d)
Definition TestSuite.h:373

## testSIZEOFLONG()

void SimplestTestSuite::testSIZEOFLONG | ( |  | ) |

inline

Definition at line 12 of file simple_test.h.

{
TS_ASSERT( sizeof(long) == SIZEOF_LONG ); // correct config.h?
}
TS_ASSERT
#define TS_ASSERT(e)
Definition TestSuite.h:239

The documentation for this class was generated from the following file:

- libpolys/tests/simple_test.h